Subject: Re: Where is bcopy,bzero,bcmp?

From: Josef Moellers <[email-masked]>
Date: 5 Nov 1993 08:10:32 GMT

In <[email-masked]> [email-masked] (Blair P. Houghton) writes:

>In article <[email-masked]> [email-masked] (Joachim Holzfuss) writes:
>>Helo,
>>I'm trying to compile some program with
>>gcc 2.4.5 on Solaris 2.1 and just can't figure out
>>in what library the following subroutines are located:
>>
>>bcopy,index,bzero,rindex,bcmp

Sorry, I don't find the original posting, so I followup on this folloup.

If you cannot find the functions on your machine, the following defines
will do:

# include	<memory.h>
# define	bcopy(s,d,l)	memcpy((d),(s),(l))
# define	bzero(d,l)	memset((d),0,(l))
# define	bcmp(s1,s2,l)	memcmp((s2),(s1),(l))

# include	<string.h>
# define	index(s,c)	strchr((s),(c))
# define	rindex(s,c)	strrchr((s),(c))

Look into the manual for memory(3C) and string(3C). There are
handwritten notes next to the mem- and str- functions that tell you (at
least they are in my manual B-{)
--
| Josef Moellers		| c/o Siemens Nixdorf Informationssysteme AG  |
|  USA: [email-masked]	| Abt. STO-XS 113	   | Riemekestrasse   |
| !USA: [email-masked]	| Phone: (+49) 5251 835124 | D-4790 Paderborn |